﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Grid" AutoEventWireup="true" CodeBehind="GridFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication2.GridFeatures" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<h2>Grid Features:</h2>
<br />
<li> Filtering</li>
<li> Paging</li>
<li> Selection - Single</li>
<li> Editing Type - Inline Editing</li>
<li> Localization - English</li>
<li> Theme - Flat-Azure</li>
<br/>
<div id = "ControlRegion">
<div class="frame ">
    <div>
        
        <ej:Grid ID="Grid1" runat="server" DataSourceID="SqlData" Query ="new ej.Query().from('Orders').select(['OrderID', 'CustomerID', 'EmployeeID', 'ShipCity', 'Freight']).take(5)"> 
       <EditSettings AllowAdding="true" AllowEditing="true" AllowDeleting="true" EditMode="Dialog" />
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true"    TextAlign="Right" Width="90" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID"   Width="100"  />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID"   TextAlign="Right" Width="110"  />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="100" />
                <ej:Column Field="Freight" HeaderText="Freight"  TextAlign="Right" Width="90" Format="{0:C}" />                
            </Columns>           
                        
        </ej:Grid>
        <asp:SqlDataSource ID="SqlData" runat="server" ConnectionString="<%$ ConnectionStrings:SQLConnectionString %>"
            SelectCommand="SELECT * FROM [Orders]"></asp:SqlDataSource>
    </div>
        </div>
</div>
    
</asp:Content>

